package com.sy.coinage.app.req;

import com.sy.coinage.app.req.vo.CheckDetailVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class CheckShopOutInConfirmReq {

    @ApiModelProperty(value = "抽检单号(唯一标识)", required = true)
    @NotBlank(message = "抽检单号(唯一标识)不能为空")
    @Length(max = 20, message = "抽检单号(唯一标识)长度20不正确")
    private String orderNo;


    @ApiModelProperty(value = "目的地/操作类型", required = true)
    @NotNull(message = "目的地/操作类型不能为空")
    private Integer opType;

    @ApiModelProperty(value = "复核人id", required = true)
    @NotNull(message = "复核人id不能为空")
    private Integer checkId;

    @ApiModelProperty(value = "抽检明细集合", required = true)
    @NotEmpty(message = "抽检明细集合不能为空")
    private List<@Valid CheckDetailVO> list;

}
