package com.sy.coinage.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import lombok.Data;

/**
 * 自定义配置文件
 *
 * @author: lug 2021年8月5日
 */
@Data
@Component
@ConfigurationProperties(prefix = CustomConfig.CONFIG_PREFIX)
public class CustomConfig {

    public static final String CONFIG_PREFIX = "custom";

    private String baseUrl;

    private String pathUrl;

    private String attaPath;

    private String attaUrl;
    /**
     * 允许多处登录 true,flase
     */
    private Boolean loginMore;
    /**
     * 记录登录扩展信息 true,flase
     */
    private Boolean loginExt;
    /**
     * 记录登录登出日志true,flase
     */
    private Boolean loginLog;
    /**
     * 是否登录返回菜单树 true,flase
     */
    private Boolean loginMenu;
    /**
     * 是否验证增删改按钮操作权限
     */
    private Boolean checkPermission;
    /**
     * 登录密码错误次数，大于0时开启，按实际值禁用次数，第二天零点启用
     */
    private Integer loginErrorNum;
    /**
     * 消息队列主题
     */
    private String topic;
    /**
     * 登录是否验证图形码 true,flase
     */
    private Boolean captcha;

}
