package com.sy.coinage.core.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 在field上使用，表示该字段在指定groups激活时，序列化或者不进行序列化
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface FastJsonFieldProfile {

    /**
     * 序列化为json字符串时,属于哪个groups将被序列化，
     *
     * @return
     */
    String[] groups() default {};

}
