package com.sy.coinage.core.constants;

/**
 * -缓存key前缀常量类
 *
 * @author lug 2021年6月3日
 */
public class CacheKey {

    /**
     * -1分钟
     */
    public final static long EXPIRED_ONE_MINUTE = 60;
    /**
     * -10分钟
     */
    public final static long EXPIRED_TEN_MINUTE = 10 * 60;
    /**
     * -2小时
     */
    public final static long EXPIRED_TWO_HOUR = 2 * 60 * 60;
    /**
     * -24小时
     */
    public final static long EXPIRED_ONE_DAY = 24 * 60 * 60;
    /**
     * -1周
     */
    public final static long EXPIRED_WEEK = 7 * 24 * 60 * 60;
    /**
     * -分隔符
     */
    public final static String SEP = "_";
    /**
     * -前台用户token缓存key
     */
    public final static String TOKEN = "user:token:";
    /**
     * -前台用户id缓存key
     */
    public final static String USER_ID = "user:id:";
    /**
     * -后台管理员token缓存key
     */
    public final static String ADMIN_TOKEN = "admin:token:";

    /**
     * -登录密码错误次数缓存key
     */
    public final static String LOGIN_ERROR_NUM = "login:error_";

}
