package com.sy.coinage.sys.dao;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.sy.coinage.core.vo.OptVO;
import com.sy.coinage.sys.model.*;

import java.util.List;

import org.apache.ibatis.annotations.Param;

/**
 * 用户角色Dao
 */
public interface UserRoleDao extends BaseMapper<UserRole> {

    /**
     * 根据用户id获取配置的角色id
     *
     * @param userId
     */
    List<Integer> selectRoleIdsByUserId(Integer userId);


    /**
     * 根据角色id获取配置的用户ids
     *
     * @param roleId
     */
    List<Integer> selectUserIdsByRoleId(Integer roleId);

    /**
     * 根据角色ID获取用户ID,名称
     * @param roleId
     * @return
     */
    List<OptVO> queryOptList(Integer roleId);

}
