package com.sy.coinage.workshop.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;

/**
 * -实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("rfid_check")
@ApiModel(value = "抽检对象", description = "")
public class Check implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "抽检单号(唯一标识)")
    @TableField(value = "order_no")
    private String orderNo;

    @ApiModelProperty(value = "抽检箱子总数量")
    @TableField(value = "qty")
    private Integer qty;

    @ApiModelProperty(value = "总库仓库ID")
    @TableField(value = "ware_id")
    private Integer wareId;

    @ApiModelProperty(value = "总库名称")
    @TableField(value = "ware_cn")
    private String wareCn;

    @ApiModelProperty(value = "目标部门ID")
    @TableField(value = "dept_id")
    private Integer deptId;

    @ApiModelProperty(value = "目标部门名称")
    @TableField(value = "dept")
    private String dept;

    @ApiModelProperty(value = "品名id")
    @TableField(value = "securities_id")
    private Integer securitiesId;

    @ApiModelProperty(value = "品名")
    @TableField(value = "securities")
    private String securities;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "操作人id")
    @TableField(value = "operator_id")
    private Integer operatorId;

    @ApiModelProperty(value = "操作人")
    @TableField(value = "operator_cn")
    private String operatorCn;

    @ApiModelProperty(value = "复核人id")
    @TableField(value = "check_id")
    private Integer checkId;

    @ApiModelProperty(value = "复核人姓名")
    @TableField(value = "checker")
    private String checker;

    @ApiModelProperty(value = "产成品区域，抽检单的箱子数量。")
    @TableField(value = "qty_product")
    private Integer qtyProduct;

    @ApiModelProperty(value = "1:初识创建 2:抽检中  3: 抽检完成（仅当qty= qty_product时）")
    @TableField(value = "status")
    private Integer status;

    @ApiModelProperty(value = "冠字号前缀")
    @TableField(value = "crown_prefix")
    private String crownPrefix;
}
