package com.sy.coinage.workshop.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;

/**
 * -抽检登记信息实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("rfid_check_backup")
@ApiModel(value = "抽检登记信息对象", description = "抽检登记信息")
public class CheckBackup implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * -id -10
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * -Epc码值 -12
     */
    @ApiModelProperty(value = "Epc码值")
    @TableField(value = "rfid")
    private String rfid;
    /**
     * -编号 -20
     */
    @ApiModelProperty(value = "编号")
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -抽检箱子数量 -10
     */
    @ApiModelProperty(value = "抽检箱子数量")
    @TableField(value = "qty")
    private Integer qty;
    /**
     * -冠字号列表,用逗号分隔 -255
     */
    @ApiModelProperty(value = "冠字号列表,用逗号分隔")
    @TableField(value = "crown_list")
    private String crownList;
    /**
     * -抽检时间 -19
     */
    @ApiModelProperty(value = "抽检时间")
    @TableField(value = "check_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date checkTime;
    /**
     * -抽检操作人 -20
     */
    @ApiModelProperty(value = "抽检操作人")
    @TableField(value = "check_operator_cn")
    private String checkOperatorCn;
    /**
     * -抽检复核人 -20
     */
    @ApiModelProperty(value = "抽检复核人")
    @TableField(value = "checker")
    private String checker;
    /**
     * -车前抽检入库确认 -19
     */
    @ApiModelProperty(value = "车前抽检入库确认")
    @TableField(value = "workshop_check_in_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date workshopCheckInTime;
    /**
     * -车间确认抽检入库操作人 -20
     */
    @ApiModelProperty(value = "车间确认抽检入库操作人")
    @TableField(value = "workshop_check_in_operator_cn")
    private String workshopCheckInOperatorCn;
    /**
     * -车间抽检确认入库复核人 -20
     */
    @ApiModelProperty(value = "车间抽检确认入库复核人")
    @TableField(value = "workshop_check_in_cn")
    private String workshopCheckInCn;
    /**
     * -抽检车间出库确认时间 -19
     */
    @ApiModelProperty(value = "抽检车间出库确认时间")
    @TableField(value = "workshop_check_out_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date workshopCheckOutTime;
    /**
     * -车间抽检出库操作人 -20
     */
    @ApiModelProperty(value = "车间抽检出库操作人")
    @TableField(value = "workshop_check_out_operator_cn")
    private String workshopCheckOutOperatorCn;
    /**
     * -车间抽检出库复核人 -20
     */
    @ApiModelProperty(value = "车间抽检出库复核人")
    @TableField(value = "workshop_check_out_cn")
    private String workshopCheckOutCn;
    /**
     * -抽检返回时间 -19
     */
    @ApiModelProperty(value = "抽检返回时间")
    @TableField(value = "check_back_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date checkBackTime;
    /**
     * -抽检返回操作人 -20
     */
    @ApiModelProperty(value = "抽检返回操作人")
    @TableField(value = "check_back_operator_cn")
    private String checkBackOperatorCn;
    /**
     * -主库抽检返回确认复核人 -20
     */
    @ApiModelProperty(value = "主库抽检返回确认复核人")
    @TableField(value = "check_back_cn")
    private String checkBackCn;
    /**
     * -抽检登记: 1.库房抽检 2:车间抽检入库3.车间抽检出库4库房抽检返回确认 -10
     */
    @ApiModelProperty(value = "抽检登记: 1.库房抽检 2:车间抽检入库3.车间抽检出库4库房抽检返回确认")
    @TableField(value = "status")
    private Integer status;
    /**
     * -抽检返回的冠字号，多个用分号分隔 -255
     */
    @ApiModelProperty(value = "抽检返回的冠字号，多个用分号分隔")
    @TableField(value = "return_crown_list")
    private String returnCrownList;
    /**
     * -冠字号前缀 -10
     */
    @ApiModelProperty(value = "冠字号前缀")
    @TableField(value = "crown_prefix")
    private String crownPrefix;
    /**
     * -仓库编号ID:主库的区域 -10
     */
    @ApiModelProperty(value = "仓库编号ID:主库的区域")
    @TableField(value = "ware_id")
    private String wareId;
    /**
     * -仓库名称 -20
     */
    @ApiModelProperty(value = "仓库名称")
    @TableField(value = "ware_cn")
    private String wareCn;

    @ApiModelProperty(value = "目的地部门")
    @TableField(value = "dept_id")
    private Integer deptId;

    @ApiModelProperty(value = "目的地部门名称")
    @TableField(value = "dept")
    private String dept;

    @ApiModelProperty(value = "临时库库位区域：1:产成品区域2剔除品库区域（抽检单确认后默认选择2） ")
    @TableField(value = "area_id")
    private Integer areaId;
}
