package com.sy.coinage.workshop.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;

/**
 * -产品表实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("rfid_product")
@ApiModel(value = "产品表对象", description = "产品表")
public class Product implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * -id -10
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * -产品名称 -60
     */
    @ApiModelProperty(value = "产品名称")
    @TableField(value = "securities")
    private String securities;
    /**
     * -规格 -30
     */
    @ApiModelProperty(value = "规格")
    @TableField(value = "spec")
    private String spec;
    /**
     * -冠字号代码 -30
     */
    @ApiModelProperty(value = "冠字号代码")
    @TableField(value = "crown_prefix")
    private String crownPrefix;
    /**
     * -整拍箱数（箱） -10
     */
    @ApiModelProperty(value = "整拍箱数（箱）")
    @TableField(value = "box_amount")
    private Integer boxAmount;
    /**
     * -整箱枚数(枚) -10
     */
    @ApiModelProperty(value = "整箱枚数(枚)")
    @TableField(value = "amount_per_box")
    private Integer amountPerBox;
    /**
     * -是否启用 1:启用 2:停用 -10
     */
    @ApiModelProperty(value = "是否启用 1:启用 2:停用")
    @TableField(value = "status")
    private Integer status;
    /**
     * -创建时间 -19
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
