package com.sy.coinage.workshop.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;
import java.util.Map;

import com.sy.coinage.workshop.vo.StockVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * -实时库存表实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("rfid_stock")
@ApiModel(value = "实时库存表对象", description = "实时库存表")
public class Stock implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * -id -10
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * -仓库id -10
     */
    @ApiModelProperty(value = "仓库id")
    @TableField(value = "ware_id")
    private Integer wareId;
    /**
     * -仓库 -20
     */
    @ApiModelProperty(value = "仓库")
    @TableField(value = "ware_cn")
    private String wareCn;
    /**
     * -库位ID -10
     */
    @ApiModelProperty(value = "库位ID")
    @TableField(value = "area_id")
    private Integer areaId;
    /**
     * -品名ID -10
     */
    @ApiModelProperty(value = "品名ID")
    @TableField(value = "securities_id")
    private Integer securitiesId;
    /**
     * -品名名称 -20
     */
    @ApiModelProperty(value = "品名名称")
    @TableField(value = "securities")
    private String securities;

    @ApiModelProperty(value = "整拍数量")
    @TableField(value = "racket_num")
    private Integer racketNum;

    @ApiModelProperty(value = "零箱数量")
    @TableField(value = "box_num")
    private Integer boxNum;

    @ApiModelProperty(value = "零枚数量")
    @TableField(value = "pieces_total")
    private Integer piecesTotal;

    @ApiModelProperty(value = "抽检零箱数量")
    @TableField(value = "check_box_num")
    private Integer checkBoxNum;

//
//    @TableField(select = false, exist = false)
//    private StockVO ware1;
//    @TableField(select = false, exist = false)
//    private StockVO ware2;
//    @TableField(select = false, exist = false)
//    private StockVO ware3;

    @TableField(select = false, exist = false)
    private Map<String, StockVO> map;
}
