package com.sy.coinage.workshop.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;

/**
 * -实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("rfid_workshop_account")
@ApiModel(value = "对象", description = "")
public class WorkshopAccount implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * -id -10
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * -部门名称 -20
     */
    @ApiModelProperty(value = "部门名称")
    @TableField(value = "dept")
    private String dept;
    /**
     * -部门ID -10
     */
    @ApiModelProperty(value = "部门ID")
    @TableField(value = "dept_id")
    private Integer deptId;
    /**
     * -品名ID -10
     */
    @ApiModelProperty(value = "品名ID")
    @TableField(value = "securities_id")
    private Integer securitiesId;
    /**
     * -品名 -20
     */
    @ApiModelProperty(value = "品名")
    @TableField(value = "securities")
    private String securities;
    /**
     * -收入数量（枚） -10
     */
    @ApiModelProperty(value = "收入数量（枚）")
    @TableField(value = "income_qty")
    private Integer incomeQty;
    /**
     * -付出（枚） -255
     */
    @ApiModelProperty(value = "付出（枚）")
    @TableField(value = "pay_qty")
    private Integer payQty;
    /**
     * -内部收入(枚) -10
     */
    @ApiModelProperty(value = "内部收入(枚)")
    @TableField(value = "inner_income_qty")
    private Integer innerIncomeQty;
    /**
     * -内部付出（枚） -10
     */
    @ApiModelProperty(value = "内部付出（枚）")
    @TableField(value = "inner_pay_qty")
    private Integer innerPayQty;
    /**
     * -结存:实时实际库存数量（每笔需要进行增减计算） -10
     */
    @ApiModelProperty(value = "结存:实时实际库存数量（每笔需要进行增减计算）")
    @TableField(value = "inventory")
    private Integer inventory;
    /**
     * -操作员 -10
     */
    @ApiModelProperty(value = "操作员")
    @TableField(value = "operator_id")
    private Integer operatorId;
    /**
     * -操作员 -20
     */
    @ApiModelProperty(value = "操作员")
    @TableField(value = "operator")
    private String operator;
    /**
     * -复核人ID -10
     */
    @ApiModelProperty(value = "复核人ID")
    @TableField(value = "check_id")
    private Integer checkId;
    /**
     * -复核人姓名 -20
     */
    @ApiModelProperty(value = "复核人姓名")
    @TableField(value = "checker")
    private String checker;
    /**
     * -来源地 1: 总库2:机台 3:封箱成品4:剔除品 5:印花成品 6.造币二部 7造币三部 8 其他 -10
     */
    @ApiModelProperty(value = "来源地 1: 总库2:机台 3:封箱成品4:剔除品 5:印花成品 6.造币二部 7造币三部 8 其他")
    @TableField(value = "loc_from")
    private Integer locFrom;
    /**
     * -目的地 1: 总库2:机台 3:封箱成品4:剔除品 5:印花成品 6.造币二部 7造币三部 8 其他 -10
     */
    @ApiModelProperty(value = "目的地 1: 总库2:机台 3:封箱成品4:剔除品 5:印花成品 6.造币二部 7造币三部 8 其他")
    @TableField(value = "loc_to")
    private Integer locTo;
    /**
     * -创建时间 -19
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -红冲标识 1:普通 2:红冲数据（抽检、返检） -10
     */
    @ApiModelProperty(value = "红冲标识 1:普通 2:红冲数据（抽检、返检）")
    @TableField(value = "red_flash_flag")
    private Integer redFlashFlag;
    /**
     * -统计台账类型：1.实物收发卡 2.封箱成品实物收发卡(车间) 3.剔除品实物收发卡(车间) 4.印花成品出入库台账 5.封箱成品出入库台账 -10
     */
    @ApiModelProperty(value = "统计台账类型：1.实物收发卡 2.封箱成品实物收发卡(车间) 3.剔除品实物收发卡(车间) 4.印花成品出入库台账 5.封箱成品出入库台账")
    @TableField(value = "stat_type")
    private Integer statType;
    /**
     * -关联单号（有关联的写入） -20
     */
    @ApiModelProperty(value = "关联单号（有关联的写入）")
    @TableField(value = "order_no")
    private String orderNo;
    /**
     * -备注 -60
     */
    @ApiModelProperty(value = "备注")
    @TableField(value = "remark")
    private String remark;
    /**
     * -摘要（总库与车间的不同） -20
     */
    @ApiModelProperty(value = "摘要（总库与车间的不同）")
    @TableField(value = "digest")
    private String digest;

    @ApiModelProperty(value = "总库id 201 202")
    @TableField(value = "ware_id")
    private Integer wareId;

}
