package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * -rfid基础信息登记表列表查询请求bean
 */
@Getter
@Setter
public class BaseInfoListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -EPC码 -12
     */
    @ApiModelProperty(value = "EPC码")
    private String rfid;
    /**
     * -封包线产品来源部门ID -10
     */
    @ApiModelProperty(value = "封包线产品来源部门ID")
    private Integer resDeptId;
    /**
     * -封包线产品来源部门名称 -255
     */
    @ApiModelProperty(value = "封包线产品来源部门名称")
    private String resDept;

    @ApiModelProperty(value = "所属部门ID")
    private Integer deptId;

    @ApiModelProperty(value = "所属部门名称")
    private String tenant;
    /**
     * -创建人 -10
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * -创建人id -10
     */
    @ApiModelProperty(value = "创建人id")
    private Integer createId;
    /**
     * -创建时间 -19
     */
    @ApiModelProperty(value = "创建时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -生命周期状态:1初始登记 2:车间入库 3:车间出库 4:总库入库 5:主库抽检出库 6.车间抽检入库确认 7.车间抽检出库8 主库抽检返回确认 9返检总库出库 10:返检车间确认 11拆包
     * 12：已发货 -10
     */
    @ApiModelProperty(
            value = "生命周期状态:1初始登记 2:车间入库 3:车间出库 4:总库入库  5:主库抽检出库 6.车间抽检入库确认 7.车间抽检出库8 主库抽检返回确认 9返检总库出库 10:返检车间确认 11拆包 12：已发货 13:返回机台")
    private Integer status;
    /**
     * -品名ID -10
     */
    @ApiModelProperty(value = "品名ID")
    private Integer securitiesId;
    /**
     * -品名 -60
     */
    @ApiModelProperty(value = "品名")
    private String securities;
    /**
     * -编号 -20
     */
    @ApiModelProperty(value = "编号")
    private String serialNumber;
    /**
     * -冠字号前缀 -30
     */
    @ApiModelProperty(value = "冠字号前缀")
    private String crownPrefix;
    /**
     * -皮重 -10
     */
    @ApiModelProperty(value = "皮重")
    private Double tareWeight;
    /**
     * -毛重 -10
     */
    @ApiModelProperty(value = "毛重")
    private Double grossWeight;
    /**
     * -称重人ID -10
     */
    @ApiModelProperty(value = "称重人ID")
    private Integer weightorId;
    /**
     * -称重人 -10
     */
    @ApiModelProperty(value = "称重人")
    private String weightor;
    /**
     * -称重日期 -10
     */
    @ApiModelProperty(value = "称重日期")
    @JSONField(format = "yyyy-MM-dd")
    private Date weightDate;
    /**
     * -称重时间 hh:mm:ss -8
     */
    @ApiModelProperty(value = "称重时间 hh:mm:ss")
    private String weightTime;
    /**
     * -打印状态: 1.未打印 2.已打印 -10
     */
    @ApiModelProperty(value = "打印状态: 1.未打印 2.已打印")
    private Integer printStatus;
    /**
     * -打印时间 -19
     */
    @ApiModelProperty(value = "打印时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date printTime;
    /**
     * -打印操作人ID -10
     */
    @ApiModelProperty(value = "打印操作人ID")
    private Integer printerId;
    /**
     * -打印操作人 -20
     */
    @ApiModelProperty(value = "打印操作人")
    private String printer;
    /**
     * -抽检状态1:主库出库 2:车间入库 3:车间出库 4:主库入库 -10
     */
    @ApiModelProperty(value = "抽检状态1:主库出库 2:车间入库 3:车间出库 4:主库入库")
    private Integer checkStatus;
    /**
     * -主库出库抽检时间 -19
     */
    @ApiModelProperty(value = "主库出库抽检时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date checkTime;
    /**
     * -车间确认入库时间 -19
     */
    @ApiModelProperty(value = "车间确认入库时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date workshopCheckInTime;
    /**
     * -抽检车间出库时间 -19
     */
    @ApiModelProperty(value = "抽检车间出库时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date workshopCheckOutTime;
    /**
     * -抽查返回时间 -19
     */
    @ApiModelProperty(value = "抽查返回时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date checkReturnTime;
    /**
     * -拆包状态 1:未拆包 2:已拆包 -10
     */
    @ApiModelProperty(value = "拆包状态 1:未拆包 2:已拆包")
    private Integer unpackageStatus;
    /**
     * -拆包时间 -19
     */
    @ApiModelProperty(value = "拆包时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date unpackageTime;
    /**
     * -返检状态 1:未返检 2: 已返检 -10
     */
    @ApiModelProperty(value = "返检状态 1:未返检 2: 已返检")
    private Integer returnCheckStatus;
    /**
     * -车间返检确认状态1:未确认2:已确认接收 -10
     */
    @ApiModelProperty(value = "车间返检确认状态1:未确认2:已确认接收")
    private Integer returnCheckConfirmStatus;
    /**
     * -车间返检确认时间 -19
     */
    @ApiModelProperty(value = "车间返检确认时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date returnCheckConfirmTime;
    /**
     * -返检时间 -19
     */
    @ApiModelProperty(value = "返检时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date returnCheckTime;
    /**
     * -质量状态 1:合格2:待定3:待检 -10
     */
    @ApiModelProperty(value = "质量状态 1:合格2:待定3:待检")
    private Integer qualityStatus;
    /**
     * -设置质量时间 -19
     */
    @ApiModelProperty(value = "设置质量时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date qualityTime;

    @ApiModelProperty(value = "发货地址id")
    private String addressId;
    /**
     * -发货地址 -128
     */
    @ApiModelProperty(value = "发货地址")
    private String addressCn;
    /**
     * -绑定rfid数据的来源类型： 1:封包线整拍数据 2.封包线非整拍数据 3:拆包后新构成的rfid 4:原有物料整拍绑定 5.原有物料整拍绑定（原始非整拍） -10
     */
    @ApiModelProperty(value = "绑定rfid数据的来源类型： 1:封包线整拍数据 2.封包线非整拍数据 3:拆包后新构成的rfid 4:原有物料整拍绑定 5.原有物料整拍绑定（原始非整拍）")
    private Integer originType;
    /**
     * -来自封包线数据的请求ID,用于判重 -10
     */
    @ApiModelProperty(value = "来自封包线数据的请求ID,用于判重")
    private String seqId;
    /**
     * -数量:一个拍子上有多少箱（拆包：表示拆的包有多少箱)，主要用于拆包 -10
     */
    @ApiModelProperty(value = "数量:一个拍子上有多少箱（拆包：表示拆的包有多少箱)，主要用于拆包")
    private Integer qty;
    /**
     * -当仅为拆包登记绑定新的rfid时（origin_type=2），将拆出的数据变为字符串保存 -100
     */
    @ApiModelProperty(value = "当仅为拆包登记绑定新的rfid时（origin_type=2），将拆出的数据变为字符串保存")
    private String crownBetween;
    /**
     * -冠字号起始 -10
     */
    @ApiModelProperty(value = "冠字号起始")
    private String crownFrom;
    /**
     * -冠字号结束点 -10
     */
    @ApiModelProperty(value = "冠字号结束点")
    private String crownTo;
    /**
     * -复核人ID -10
     */
    @ApiModelProperty(value = "复核人ID")
    private Integer checkId;

    @ApiModelProperty(value = "复核人姓名")
    private String checker;
    /**
     * -整拍物料存储在哪个库:201主库一，202主库二,102造币二部临时库 -10
     */
    @ApiModelProperty(value = "整拍物料存储在哪个库:201主库一，202主库二,102造币二部临时库")
    private Integer locWareId;
    /**
     * -当存储在主库一，主库二时，需保存该库库位信息 -10
     */
    @ApiModelProperty(value = "当存储在主库一，主库二时，需保存该库库位信息")
    private Integer locAreaId;


    @ApiModelProperty(value = "")
    @JSONField(format = "yyyy-MM-dd")
    private Date deliveryStartDate;

    @ApiModelProperty(value = "")
    @JSONField(format = "yyyy-MM-dd")
    private Date deliveryEndDate;

    @ApiModelProperty(value = "单箱冠字号")
    private String crown;
}
