package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * -发货单主表列表查询请求bean
 */
@Getter
@Setter
public class DeliveryListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -发货单号 -20
     */
    @ApiModelProperty(value = "发货单号")
    private String orderNo;
    /**
     * -拍数-计划 -10
     */
    @ApiModelProperty(value = "拍数-计划")
    private Integer planPar;
    /**
     * -零箱数-计划 -10
     */
    @ApiModelProperty(value = "零箱数-计划")
    private Integer planBoxNum;
    /**
     * -合计总箱数（冗余字端） -10
     */
    @ApiModelProperty(value = "合计总箱数（冗余字端）")
    private Integer planTotalBox;
    /**
     * -发货地址ID -10
     */
    @ApiModelProperty(value = "发货地址ID")
    private Integer addressId;
    /**
     * -发货地址名称 -255
     */
    @ApiModelProperty(value = "发货地址名称")
    private String addressCn;
    /**
     * -发货单创建时间 -19
     */
    @ApiModelProperty(value = "发货单创建时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -创建者ID -10
     */
    @ApiModelProperty(value = "创建者ID")
    private Integer createId;
    /**
     * -创建者姓名 -20
     */
    @ApiModelProperty(value = "创建者姓名")
    private String createBy;
    /**
     * -操作人ID -10
     */
    @ApiModelProperty(value = "操作人ID")
    private Integer operatorId;
    /**
     * -操作人名称（付出人1） -20
     */
    @ApiModelProperty(value = "操作人名称（付出人1）")
    private String operator;
    /**
     * -复核人ID -10
     */
    @ApiModelProperty(value = "复核人ID")
    private Integer checkId;
    /**
     * -复核人（付出人2） -20
     */
    @ApiModelProperty(value = "复核人（付出人2）")
    private String checker;
    /**
     * -发货单-确认发货时间 -19
     */
    @ApiModelProperty(value = "发货单-确认发货时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date updated;
    /**
     * -发货单状态 1:初始化 2 已发货 -10
     */
    @ApiModelProperty(value = "发货单状态  1:初始化 2 已发货")
    private Integer status;
    /**
     * -发货时间 -19
     */
    @ApiModelProperty(value = "发货时间")
    @JSONField(format = "yyyy-MM-dd")
    private Date deliveryTime;
    /**
     * -品名id -10
     */
    @ApiModelProperty(value = "品名id")
    private Integer securitiesId;
    /**
     * -品名 -20
     */
    @ApiModelProperty(value = "品名")
    private String securities;

}
