package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * -车间出库单据（库房解缴|返检单据|）列表查询请求bean
 */
@Getter
@Setter
public class WorkshopOutboundListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -部门名称 -20
     */
    @ApiModelProperty(value = "部门名称")
    private String dept;
    /**
     * -部门ID -10
     */
    @ApiModelProperty(value = "部门ID")
    private Integer deptId;
    /**
     * -单据类型： 1: 解缴单 2: 返检单 -10
     */
    @ApiModelProperty(value = "单据类型： 1: 解缴单  2: 返检单")
    private Integer orderType;
    /**
     * -车间出库单单号 -20
     */
    @ApiModelProperty(value = "车间出库单单号")
    private String orderNo;
    /**
     * -品名id -10
     */
    @ApiModelProperty(value = "品名id")
    private Integer securitiesId;
    /**
     * -品名 -60
     */
    @ApiModelProperty(value = "品名")
    private String securities;
    /**
     * -实际拍数（由于仓位不同，实际手持端可多次修改，与计划拍数相等后，该条目不再显示） -10
     */
    @ApiModelProperty(value = "实际拍数（由于仓位不同，实际手持端可多次修改，与计划拍数相等后，该条目不再显示）")
    private Integer realNum;
    /**
     * -计划拍数（车间出库单初始值） -10
     */
    @ApiModelProperty(value = "计划拍数（车间出库单初始值）")
    private Integer planNum;
    /**
     * -创建日期 -19
     */
    @ApiModelProperty(value = "创建日期")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -合计箱数 -10
     */
    @ApiModelProperty(value = "合计箱数")
    private Integer totalBoxAmount;
    /**
     * -合计枚数 -10
     */
    @ApiModelProperty(value = "合计枚数")
    private Integer totalAmount;
    /**
     * -拍最大净重 -22
     */
    @ApiModelProperty(value = "拍最大净重")
    private Double maxNetWeight;
    /**
     * -拍最小净重 -22
     */
    @ApiModelProperty(value = "拍最小净重")
    private Double minNetWeight;
    /**
     * -创建人ID（付出人） -10
     */
    @ApiModelProperty(value = "创建人ID（付出人）")
    private Integer createId;
    /**
     * -创建人名称 -20
     */
    @ApiModelProperty(value = "创建人名称")
    private String createBy;
    /**
     * -审核人ID（付出人2） -10
     */
    @ApiModelProperty(value = "审核人ID（付出人2）")
    private Integer checkId;
    /**
     * -付出人名称（审核人） -20
     */
    @ApiModelProperty(value = "付出人名称（审核人）")
    private String checker;
    /**
     * -收入人ID（收入人1） -10
     */
    @ApiModelProperty(value = "收入人ID（收入人1）")
    private Integer receiverId;
    /**
     * -收入人姓名 -20
     */
    @ApiModelProperty(value = "收入人姓名")
    private String receiver;
    /**
     * -收入复核人ID -10
     */
    @ApiModelProperty(value = "收入复核人ID")
    private Integer receiverCheckId;
    /**
     * -收入复核人（收入人2） -20
     */
    @ApiModelProperty(value = "收入复核人（收入人2）")
    private String receiverCheck;
    /**
     * -车间入库确认的拍子数量 -10
     */
    @ApiModelProperty(value = "车间入库确认的拍子数量")
    private Integer shopRealNum;
    /**
     * -状态:1.新建 2.已出库 3.已入库 -10
     */
    @ApiModelProperty(value = "状态:1.新建 2.已出库 3.已入库")
    private Integer status;

}
