package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * HumidityTemperature响应bean
 */
@Data
public class HumidityTemperatureVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    @ApiModelProperty(value = "temperature")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "temperature")
    private Double temperature;
    @ApiModelProperty(value = "humidity")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "humidity")
    private Double humidity;
    @ApiModelProperty(value = "创建日期(yyyy-mm-dd)")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "created")
    @JSONField(format = "yyyy-MM-dd")
    private Date created;
    @ApiModelProperty(value = "汇报时间（hh:mm:ss）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "create_time")
    private String createTime;
    @ApiModelProperty(value = "设备上报时间(yyyy-mm-dd hh:mm:ss)")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "report_time")
    @JSONField(format = "yyyy-MM-dd")
    private Date reportTime;
    @ApiModelProperty(value = "主库ID:主库一201  主库二：202")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "wareId")
    private Integer wareId;
    @ApiModelProperty(value = "主库名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_cn")
    private String wareCn;
}
