package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * Logistics查询响应bean
 */
@Data
public class LogisticsVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -id
     */
    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    /**
     * -编号
     */
    @ApiModelProperty(value = "编号")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -标签
     */
    @ApiModelProperty(value = "标签")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "rfid")
    private String rfid;
    /**
     * -拆包的源头标签（冗余字端，可不填）
     */
    @ApiModelProperty(value = "拆包的源头标签（冗余字端，可不填）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "rfid_src")
    private String rfidSrc;
    /**
     * -冠字号范围(抽检/拆包冠字号),从传入的rfid到基础信息里获取 )
     */
    @ApiModelProperty(value = "冠字号范围(抽检/拆包冠字号),从传入的rfid到基础信息里获取 )")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_between")
    private String crownBetween;
    /**
     * -生命周期状态:1初始登记 2:车间入库 3:车间出库 4:总库入库 5:主库抽检出库 6.车间抽检入库确认 7.车间抽检出库8 主库抽检返回确认 9返检总库出库 10:返检车间确认 11拆包
     * 12：已发货
     */
    @ApiModelProperty(
            value = "生命周期状态:1初始登记 2:车间入库 3:车间出库 4:总库入库  5:主库抽检出库 6.车间抽检入库确认 7.车间抽检出库8 主库抽检返回确认 9返检总库出库 10:返检车间确认 11拆包 12：已发货 13:返回机台")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "status")
    private Integer status;
    /**
     * -仓库ID
     */
    @ApiModelProperty(value = "仓库ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_id")
    private Integer wareId;
    /**
     * -仓库名称
     */
    @ApiModelProperty(value = "仓库名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_cn")
    private String wareCn;
    /**
     * -操作时间
     */
    @ApiModelProperty(value = "操作时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "create_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -发货地址（仅是发货状态下）
     */
    @ApiModelProperty(value = "发货地址（仅是发货状态下）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "address_cn")
    private String addressCn;
    /**
     * -操作人ID
     */
    @ApiModelProperty(value = "操作人ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "operator_id")
    private Integer operatorId;
    /**
     * -操作人姓名
     */
    @ApiModelProperty(value = "操作人姓名")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "operator")
    private String operator;
    /**
     * -复核人ID
     */
    @ApiModelProperty(value = "复核人ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "check_id")
    private Integer checkId;
    /**
     * -复核人姓名
     */
    @ApiModelProperty(value = "复核人姓名")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "checker")
    private String checker;
}
